Skip to main content
GET
/
prompts
/
suggestions
List Prompt Suggestions
curl --request GET \
  --url https://api.peec.ai/customer/v1/prompts/suggestions \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.peec.ai/customer/v1/prompts/suggestions"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.peec.ai/customer/v1/prompts/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "ps_93f790de-5b7a-45ee-b782-61103c81f20d",
      "messages": [
        {
          "content": "What is the best SEO tool?"
        }
      ],
      "tags": [
        {
          "id": "tg_23abec5b-100a-4261-9ee7-1effe68f0149"
        }
      ],
      "topic": {
        "id": "to_e6b8cdd3-a51b-4d94-a866-28dbe6b830a6"
      },
      "user_location": {},
      "volume": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

project_id
string

Required if using a company api key

Example:

"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"

topic_id
string
limit
number
default:1000
Required range: 1 <= x <= 10000
offset
number
default:0
Required range: x >= 0

Response

200 - application/json

Success

Success

data
object[]
required